/*
 * Params: none
 */
lm.component('lmDialogPlaylistLoad', {
	templateUrl: 'comp/dialog/lmDialogPlaylistLoad.' + lmCacheTag + 'html',
	bindings: { lmParams: '<', lmDismiss: '&', lmDone: '&' },
	controller: function($http, serviceLimboMedia) {
		var ctrl = this;

		ctrl.items = [];
		
		ctrl.$onInit = function() {
			$http.get(lmBase.url + 'f/playlists/list').then(
				function success(resp) {
					ctrl.items = resp.data;
				},
				serviceLimboMedia.handleHttpErrorNew
			);
		};
		
		ctrl.onSelect = function(it) {
			ctrl.lmDone({result: it});
		};
	}
});
